Bug 736735 - Update hamcrest to 1.2 or later
Summary: Update hamcrest to 1.2 or later
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hamcrest
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 14:56 UTC by Andy Grimm
Modified: 2016-11-08 03:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-30 10:16:41 UTC


Attachments (Terms of Use)

Description Andy Grimm 2011-09-08 14:56:43 UTC
Hamcrest in Fedora is currently version 1.1, which was released in 2007.  Hamcrest 1.2 was released in 2009, and there were release candidates for 1.3 in 2010.  I don't know about the stability of 1.3, so I'm not sure whether 1.2 or 1.3 is a better choice.  Please update this package.

Comment 1 Tomas Radej 2011-11-22 14:58:42 UTC
Hi,

Updating Hamcrest is a problem because some depending packages (at least JUnit at this time) fail to build. The reason is that in 1.2, Hamcrest changed signatures of some of its methods from <? extends T> to <? super T>. As the change was intentional, I am talking with JUnit upstream on how to update their package. If I don't get an answer, we will probably have to make 2 separate packages for Hamcrest - one for 1.1 and one for 1.2+.

Stay tuned.

Comment 2 Andy Grimm 2011-11-22 15:08:44 UTC
Thanks for the update.

Comment 3 Tomas Radej 2011-12-19 08:40:41 UTC
I am sorry to say that, but as the JUnit guys are not responsive enough to collaborate on this situation, we will be retaining the old Hamcrest in Fedora (needed for the new JUnit). If you really want version 1.2 or 1.3RC of Hamcrest in, creating a new package would be in order.

Comment 4 Tomas Radej 2012-01-30 10:16:41 UTC
Closing this bug as WONTFIX; if you want hamcrest 1.2, please make a separate package. Thank you.


Note You need to log in before you can comment on or make changes to this bug.